﻿using DemoApiDwservice.Models.Response;
using DemoApiDwservice.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DemoApiDwservice.Helpers
{
    public static class Helpers
    {
        public static async Task<int> getChannelsFree()
        {
            DwServiceDataStore dwServiceDataStore = new DwServiceDataStore();
            SessionResponse sessionResponse;            

            int channel = 0;
            List<int> channelsAccount = new List<int>();
            List<int> channelsInUse = new List<int>();
            List<int> channelsFree = new List<int>();
            List<Session> listaSessioni = new List<Session>();
            try
            {
                sessionResponse = await dwServiceDataStore.listSession();
                Account account = await dwServiceDataStore.getAccountInfo();
                channelsAccount = account.channelsBasicIDs.ToList();
                if (sessionResponse != null && sessionResponse.sessions != null)
                {
                    
                    foreach (Session s in sessionResponse.sessions)
                    {
                        listaSessioni.Add(s);
                    }

                    foreach (Session session in listaSessioni)
                    {
                        channelsInUse.Add(Convert.ToInt32(session.idChannel));
                    }

                    channelsFree = channelsAccount.Except(channelsInUse).ToList();
                    if (channelsFree.Count > 0)
                    {
                        channel = channelsFree.First();
                    }
                    else
                    {
                        channel = -1;
                    }

                }
                else
                {
                    if (channelsAccount.Count > 0)
                        channel = channelsAccount.First();
                    else
                        channel = -1;
                }
            }
            catch (Exception ex)
            {

            }
            return channel;
        }
    }
}
