﻿using System.ComponentModel.DataAnnotations;

namespace DemoApiDwservice.Models.Response
{
    public class SessionResponse : BaseResponse
    {
        public Session[] sessions { get; set; }
    }
    public class Session
    {
        [Display(Name ="ID:")]
        public string id { get; set; }

        [Display(Name = "Channel ID:")]
        public string idChannel { get; set; }

        [Display(Name = "Agent ID:")]
        public string idAgent { get; set; }

        [Display(Name = "Init Time:")]
        public string initTime { get; set; }

        [Display(Name = "Frozen:")]
        public bool frozen { get; set; }

        [Display(Name = "Ip Address:")]
        public string ipAddress { get; set; }
    }
}
