﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DemoApiDwservice.Models.Response
{
    public class TransactionsResponse : BaseResponse
    {
        [Display(Name ="ID:")]
        public string id { get; set; }

        [Display(Name = "Date Time UTC:")]
        public DateTime dateTimeUTC { get; set; }

        [Display(Name = "Ticket Currency:")]
        public string ticketCurrency { get; set; }

        [Display(Name = "Ticket Price:")]
        public double ticketPrice { get; set; }

        [Display(Name = "Type:")]
        public string type { get; set; }

        [Display(Name = "Details:")]
        public Deatils details { get; set; }

        [Display(Name = "Amount:")]
        public double amount { get; set; }

    }

    public class Deatils
    {
        [Display(Name = "Unit Cost:")]
        public string unitCost { get; set; }

        [Display(Name = "Agent Quantity:")]
        public int agentQuantity { get; set; }

        [Display(Name = "Agent Cost:")]
        public double agentCost { get; set; }

        [Display(Name = "Channel Basic Quantity:")]
        public int channelBasicQuantity { get; set; }

        [Display(Name = "Channel Basic Cost:")]
        public double channelBasicCost { get; set; }

        [Display(Name = "Ref Month:")]
        public int refMonth { get; set; }


    }
}
