﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace DemoApiDwservice.Models
{
    public class Agent
    {
        [Display(Name="Agent ID:")]
        public string id { get; set; }

        [Display(Name = "Name:")]
        public string name { get; set; }
        [Display(Name = "Display Name:")]
        public string displayName { get; set; }


        [Display(Name = "Install Code:")]
        public string installCode { get; set; }

        [Display(Name = "Description:")]
        public string description { get; set; }

        [Display(Name = "State:")]
        public string state { get; set; }

        [Display(Name = "OS Type:")]
        public string osType { get; set; }

        [Display(Name = "OS Name:")]
        public string osName { get; set; }

        [Display(Name = "Remote Control:")]
        public bool schermo { get; set; }

        [Display(Name = "Resources:")]
        public bool gestioneRisorse { get; set; }

        [Display(Name = "File System:")]
        public bool filesystem { get; set; }
        
        public List<PathFs> permessiPath { get; set; }

        [Display(Name = "Count Outgoing Shares:")]
        public int countOutgoingShares { get; set; }

        [Display(Name = "Supported Applications")]
        public string supportedApplications { get; set; }
    }

    public class PathFs
    {
        [Display(Name = "Path Name:")]
        public string nomePath { get; set; }

        [Display(Name = "Path:")]
        public string path { get; set; }

        [Display(Name = "Download:")]
        public bool download { get; set; }

        [Display(Name = "Edit:")]
        public bool edit { get; set; }

        [Display(Name = "Upload:")]
        public bool upload { get; set; }
    }
}
